Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Lua Development Tools » crash in debugger.lua(package.preload crash in debugger.lua)
crash in debugger.lua [message #1397630] Thu, 10 July 2014 01:04 Go to next message
A J is currently offline A J
Messages: 10
Registered: October 2013
Junior Member
Hi,

I downloaded debugger.lua (attached)from my eclipse installation:
Version: 1.5.2.20130211-1820
Build id: 20130225-0426
Release 4.2.0

following the instructions on the Koneki site. I downloaded the debugger.lua client from the hyperlink on the Debug AS->debug configurations option. But when I try to debug, by putting in the require ("debugger")('127.0.0.1',10000,luaidekey) in my lua script, it is crashing the application. On putting some print statements, the crash seems to happen in:
package.preload["debugger.transport.apr"] = function(...) in debugger.lua
I did try to comment out this and the end corresponding to it. It seems to be a cyclic loop of errors. This same procedure seemed to work 6 months ago. Has something changed.I understand that the code has changed between the one 6 months ago and now but not sure why it would crash.
Lua debugger is essentially not working for me.
Any help is really appreciated. Thanks in advance.
  • Attachment: debugger.lua
    (Size: 129.86KB, Downloaded 12 times)
Re: crash in debugger.lua [message #1398111 is a reply to message #1397630] Thu, 10 July 2014 16:30 Go to previous messageGo to next message
Marc Aubry is currently offline Marc Aubry
Messages: 83
Registered: August 2012
Member
Hi,

It seems you have a debugger.lua version compatible with the 1.2.0 of LDT, can you check your version of LDT ? You can find it it the menu "Help/About/Installation Detail".
If I am not misleading the 1.2.0 version of LDT is not compatible with Eclipse 4.2 but only with the 4.3 and 4.4.

Then can you provide us the full Lua stack you get while starting the debugger ? it will help to go forward.
Marc
Re: crash in debugger.lua [message #1398301 is a reply to message #1398111] Thu, 10 July 2014 23:03 Go to previous messageGo to next message
A J is currently offline A J
Messages: 10
Registered: October 2013
Junior Member
HI Marc,

Thanks for your response. LDT is also 1.2. Sorry, but I do not have a stack since the application crashes at the require debugger line and there is no stack.

Thanks
Re: crash in debugger.lua [message #1398602 is a reply to message #1398301] Fri, 11 July 2014 09:59 Go to previous message
Marc Aubry is currently offline Marc Aubry
Messages: 83
Registered: August 2012
Member
Without any error/log, it will be harder to find the problem :/

Are you using a standard Lua interpreter ? because a crash like that usually give at least an error message.

Using your Lua interpreter can you successfully require "socket" ?

Otherwise, maybe you can tell more about your environment and why do you need to do attach debug ?




Previous Topic:The highlighting color is changed when typing.
Next Topic:Some scripts got 'This file probably contains a syntax error' after upgrading from 1.1 to 1.2
Goto Forum:
  


Current Time: Sat Oct 25 17:31:58 GMT 2014

Powered by FUDForum. Page generated in 0.02082 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software